# class StringIO

StringIO based on code by MoonWolf

### Public Class Methods

new(string="") click to toggle source

    # File lib/syck/stringio.rb, line 11
    def initialize(string="")
        @string=string
        @pos=0
        @eof=(string.size==0)
    end

### Public Instance Methods

eof() click to toggle source

    # File lib/syck/stringio.rb, line 19
    def eof
        @eof
    end

Also aliased as: eof?
eof?()
Alias for: eof
pos() click to toggle source

    # File lib/syck/stringio.rb, line 16
    def pos
        @pos
    end

readline(rs=$/) click to toggle source

    # File lib/syck/stringio.rb, line 23
    def readline(rs=$/)
        if @eof
            raise EOFError
        else
            if p = @string[@pos..-1]=~rs
                line = @string[@pos,p+1]
            else
                line = @string[@pos..-1]
            end
            @pos+=line.size
            @eof =true if @pos==@string.size
            $_ = line
        end
    end

rewind() click to toggle source

    # File lib/syck/stringio.rb, line 37
    def rewind
        seek(0,0)
    end

seek(offset,whence) click to toggle source

    # File lib/syck/stringio.rb, line 40
    def seek(offset,whence)
        case whence
        when 0
            @pos=offset
        when 1
            @pos+=offset
        when 2
            @pos=@string.size+offset
        end
        @eof=(@pos>=@string.size)
        0
    end